Module java.management
Package javax.management

## Class InvalidApplicationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.management.InvalidApplicationException

All Implemented Interfaces:
  Serializable

    public class InvalidApplicationException
    extends Exception

Thrown when an attempt is made to apply either of the following: A subquery expression to an MBean or a qualified attribute expression to an MBean of the wrong class. This exception is used internally by JMX during the evaluation of a query. User code does not usually see it.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidApplicationException(Object val)` Constructs an `InvalidApplicationException` with the specified `Object`.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### InvalidApplicationException

    public InvalidApplicationException(Object val)

Constructs an `InvalidApplicationException` with the specified `Object`.

Parameters:
  `val` - the detail message of this exception.